Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002051TestLinkTest Specificationpublic2009-02-02 21:042009-04-05 00:42
Reporterdave57i 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 3 
Fixed in Version1.8.0 
Summary0002051: Export/Import of Test Suite - after Import, TS's and TC's are ordered differently
Description1- create some tree of TS's and TC's. Export it.
2- import this back.

now, the TC's tree is shown differently. See picture in attachment. Is it right behavior?
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon TL-exportImport.PNG [^] (33,099 bytes) 2009-02-02 21:04

- Relationships

-  Notes
(0005213)
shm2bk (reporter)
2009-02-03 16:44

I think its similar to the track 1605 = wrong looking tree view
(0005235)
mhavlat (reporter)
2009-02-04 20:42

I expect that Test Suite will be above TCs after import.
There is also question in forum, that could be related to the problem:
http://www.teamst.org/phpBB2/viewtopic.php?p=4816#4816 [^]
(0005250)
fman (administrator)
2009-02-05 02:13

this is not similar to 1605
(0005254)
fman (administrator)
2009-02-05 06:06

fix commited 20090204 - 22:05 - UTC.
please get last code from CVS and retest to give us feedback
(0005259)
fman (administrator)
2009-02-05 15:26

changes in tcExport.php,tcImport.php,testcase.class.php to manage node_order
(0005911)
dave57i (reporter)
2009-03-19 16:12

Verified, works fine, thanks.

- Issue History
Date Modified Username Field Change
2009-02-02 21:04 dave57i New Issue
2009-02-02 21:04 dave57i File Added: TL-exportImport.PNG
2009-02-03 16:44 shm2bk Note Added: 0005213
2009-02-04 20:42 mhavlat Note Added: 0005235
2009-02-05 02:13 fman Note Added: 0005250
2009-02-05 06:05 fman Status new => assigned
2009-02-05 06:05 fman Assigned To => fman
2009-02-05 06:06 fman Note Added: 0005254
2009-02-05 06:06 fman Status assigned => feedback
2009-02-05 15:26 fman Note Added: 0005259
2009-03-19 16:12 dave57i Note Added: 0005911
2009-03-21 00:25 fman Status feedback => resolved
2009-03-21 00:25 fman Fixed in Version => 1.8.0
2009-03-21 00:25 fman Resolution open => fixed
2009-04-05 00:42 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker